Bug 10080 - Change system pref IndependantBranches to IndependentBranches
Summary: Change system pref IndependantBranches to IndependentBranches
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.14
Hardware: All All
: P5 - low trivial (vote)
Assignee: Kyle M Hall
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks: 10200
  Show dependency treegraph
 
Reported: 2013-04-19 14:28 UTC by Kyle M Hall
Modified: 2014-12-07 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10080 - Change system pref IndependantBranches to IndependentBranches (166.43 KB, patch)
2013-04-19 14:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10080 - Change system pref IndependantBranches to IndependentBranches (166.40 KB, patch)
2013-04-22 12:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 10080 - Change system pref IndependantBranches to IndependentBranches (165.40 KB, patch)
2013-05-09 15:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10080 - Change system pref IndependantBranches to IndependentBranches (42.21 KB, patch)
2013-05-15 14:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10080 - Change system pref IndependantBranches to IndependentBranches - Followup (1.02 KB, patch)
2013-05-21 17:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10080 - Change system pref IndependantBranches to IndependentBranches (42.53 KB, patch)
2013-05-22 12:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10080 - Change system pref IndependantBranches to IndependentBranches - Followup (1.08 KB, patch)
2013-05-22 12:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-04-19 14:28:05 UTC
This sys pref has been misnamed for ages. It should really be corrected.
Comment 1 Kyle M Hall 2013-04-19 14:34:50 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2013-04-22 12:15:50 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2013-04-22 12:21:35 UTC
QA Comment:
Tested the db update. Grepped on the old term (only in updatedatabase now).
Tested with superlibrarian and normal user in both modes. Nothing unusual.
Looks good to me.

Jared: Due to number of affected files, this patch would need a lot of rebasing if it stays too long in the queue..

Passed QA
Comment 4 Jonathan Druart 2013-04-22 14:30:36 UTC
I disagree with a change in updatedatabase.pl:

There is a modification of an old version ($DBversion = "3.09.00.047"). When this test will be executed, the syspref will not be renamed and will always return 0.

Switch back to Passed QA if I missed something.
Comment 5 Marcel de Rooy 2013-04-22 19:27:05 UTC
(In reply to comment #4)
> I disagree with a change in updatedatabase.pl:
> 
> There is a modification of an old version ($DBversion = "3.09.00.047"). When
> this test will be executed, the syspref will not be renamed and will always
> return 0.
> 
> Switch back to Passed QA if I missed something.

Good catch. Thanks. I agree with you. Kyle: could you send a followup eliminating the change of the older db revision. Only leave the new one under 3.11.00.XXX in updatedatabase.

After that please switch back to Signed off. I will test it.
Comment 6 Chris Cormack 2013-04-23 07:41:35 UTC
This seems like a very dangerous change to make with minimum benefits this close to a major release. I vote it is held over and not rebased until post release.
It gains users nothing, with the risk of breaking lots.
Comment 7 Kyle M Hall 2013-05-09 15:13:57 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2013-05-09 15:21:18 UTC
Updated patch, removed modification for the previous database update. Thanks for catching that!
Comment 9 Katrin Fischer 2013-05-12 09:46:25 UTC
I second Chris' vote to hold this patch for 3.14 to not risk missing something, marking bug accordingly.
Comment 10 Katrin Fischer 2013-05-12 09:53:52 UTC
Hi Kyle,

your patch contains the po files, but changes to those files should be handled via Pootle. Can you please resubmit your patch without them?

I am also not sure if old release notes should be included, as they are 'history'.
Comment 11 Kyle M Hall 2013-05-15 14:11:33 UTC Comment hidden (obsolete)
Comment 12 Kyle M Hall 2013-05-15 14:12:53 UTC
(In reply to comment #10)
> Hi Kyle,
> 
> your patch contains the po files, but changes to those files should be
> handled via Pootle. Can you please resubmit your patch without them?
> 
> I am also not sure if old release notes should be included, as they are
> 'history'.

Good call, fixed!
Comment 13 Katrin Fischer 2013-05-15 20:08:00 UTC
Sorry Kyle, I finally took a step forward in direction of understanding how to grep and found another occurence: /reserve/request.pl. Please provide a follow up.
Comment 14 Kyle M Hall 2013-05-21 17:13:27 UTC Comment hidden (obsolete)
Comment 15 Jonathan Druart 2013-05-22 12:00:19 UTC
QA comment:

Looks good to me now.
The only occurrences are
git grep -l IndependantBranches  | grep -v translator
installer/data/mysql/updatedatabase.pl
misc/release_notes/release_notes_30004.txt
misc/release_notes/release_notes_3_10_0.txt
misc/release_notes/release_notes_3_12_0.txt

We have to keep this patch in mind for future patch!
I will provide a patch for the qa tools.

Marked as Passed QA.
Comment 16 Jonathan Druart 2013-05-22 12:00:50 UTC
Created attachment 18307 [details] [review]
Bug 10080 - Change system pref IndependantBranches to IndependentBranches

Test Plan:
1) Enable IndependantBranches
2) Apply this patch
3) Run updatedatabase.pl
4) Verify that the system preference still functions correctly

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 17 Jonathan Druart 2013-05-22 12:00:54 UTC
Created attachment 18308 [details] [review]
Bug 10080 - Change system pref IndependantBranches to IndependentBranches - Followup

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 18 Galen Charlton 2013-05-22 15:22:19 UTC
Pushed to master.  Thanks, Kyle!